#
# spec file for package atlas (Version 3.0p2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  blas expect g77 lapack tcl
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison blas bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs expect file fileutils findutils flex g77 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd lapack less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim

Name:         atlas
Version:      3.0p2
Release:      130
Copyright: BSD
URL:       http://www.netlib.org/atlas
Source0:   %{name}%{version}.tgz
Source1:   atlas.ps.gz
Source2:   atlas_patch03.tar.gz
Patch:	   ATLAS.dif
Group:     Development/Libraries
Prefix:    /usr
Buildroot: /var/tmp/%{name}-root
Summary:      Automatically Tuned Linear Algebra Software

%description 
ATLAS is an approach for the automatic generation and optimization of numerical software for processors with deep memory hierarchies and pipelined functional units.
The production of such software for machines ranging from desktop workstations to embedded processors can be a tedious and time consuming task. ATLAS has been designed to automate much of this process. We concentrate our efforts on the widely used linear algebra kernels called the Basic Linear Algebra Subroutines (BLAS). In particular, our initial work is for general matrix multiply, DGEMM. However much of the technology and approach developed here can be applied to the other Level 3 BLAS. The general strategy can have an impact on basic linear algebra operations in general and may be extended to other important kernel operations, such as sparse operations.

Authors:
--------
    ATLAS <atlas@cs.utk.edu>

SuSE series: beo

%prep
%setup -n ATLAS -a 2
%patch
cp %{SOURCE1} doc

%build
chmod +x config.expect
./config.expect
make_arch=Linux
make -f Makefile.Linux

%install
make_arch=Linux
mkdir -p   ${RPM_BUILD_ROOT}/%{prefix}/lib
mkdir -p   ${RPM_BUILD_ROOT}/%{prefix}/include
mv lib/Linux/liblapack.a lib/Linux/liblapack_atlas.a
cp lib/Linux/*.a ${RPM_BUILD_ROOT}/%{prefix}/lib
(
cd include; 
cp clapack.h cblas.h atlas_misc.h atlas_enum.h $make_arch/atlas_type.h ${RPM_BUILD_ROOT}/%{prefix}/include 
)
cp bin/$make_arch/INSTALL_LOG/SUMMARY.LOG %{_defaultdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
/usr/lib/*.a
/usr/include/*.h
%doc doc/*  

%changelog -n atlas
* Mon Nov 06 2000 - nashif@suse.de
- Now compiles the library instead of just copying the sources
- Fixed to work with alpha and gcc 2.95.2
- Applied patches
* Wed Apr 12 2000 - nashif@suse.de
- Fixed Makefile to create destination directory
* Wed Feb 09 2000 - nashif@suse.de
- Added missing atlas.ps.gz as source1 in spec file
* Wed Feb 09 2000 - nashif@suse.de
- Initial Release (3.0beta)
